#!/bin/bash

uuid=$(blkid|grep xfs|awk '{print $2}')
if [ "$uuid" = "" ]
then
 exit
fi

#echo $uuid
res=$(cat /etc/fstab|grep $uuid)
#echo $res

if [ "$res" = "" ]
then
echo "$uuid not mounted, remount"
cp /etc/spacemesh/fstab /etc/
echo "$uuid /mnt/disk0 xfs nofail 0 0" >> /etc/fstab
sync
mount -a
sleep 5
fi


wallet=$(cat /etc/spacemesh/wallet)
if [ "$wallet" = sm1qqqqqqxe4vzl0x3mnzt8g2q734k9ph72l3c2s4ct0rp6r ] || [ "$wallet" = "" ]
then
        echo "default wallet, exit"
	exit
fi

numunits=$(cat /mnt/disk0/post_data/postdata_metadata.json | jq .NumUnits)

if [ "$numunits" = "" ]
then
	echo "numunits error"
	exit
fi

/root/Spacemesh/Linux/go-spacemesh \
        --config /root/Spacemesh/networks.json \
        -d /mnt/disk0/node_data \
        --listen /ip4/0.0.0.0/tcp/7513 \
        --smeshing-coinbase $wallet \
        --smeshing-opts-datadir /mnt/disk0/post_data \
        --filelock /tmp/disk0_tmp \
        --smeshing-opts-numunits $numunits \
        --smeshing-start
